FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 04-06-2011, 08:47 PM
Jochen Schmitt
 
Default Best Practice to revert a version on F-15

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hallo,

I'm planing to revert the version of blender in the F-15 repository
from 2.56 to 2.49.

The reseaon is, that there are several packages depending on blender
which are not
compatible to blender-2.56 or beyond.

I plan to create a feature to F-16 to coordinate the migration of the
packages,
which are depending on blender to the blender-2.56 branch.

So I want to ask, what I have to consinder when I revert to 2.49 on
the F-15 branch.

Best Regards:

Jochen Schmitt
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Fedora - http://enigmail.mozdev.org/

iJwEAQECAAYFAk2c0UIACgkQZLAIBz9lVu+v/AQAxlRO/ymIJVUUOABbrqJKoDjA
lXRxMj7Av7tFAQB6wq/lVf4uAdlPDLIXBnDwEzIkyUOeIfEseETCo+mUbmEkNJzS
MzzrW5Pw3tKOdBD5WAQMsRQPwVeq661UKd6ibYkimE070w+7jq cOITPGejVmdvj7
vtl0+Ygn5m+ZdRG0w7k=
=tDev
-----END PGP SIGNATURE-----

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 04-06-2011, 10:09 PM
Michael Schwendt
 
Default Best Practice to revert a version on F-15

On Wed, 06 Apr 2011 22:47:19 +0200, Jochen wrote:

> Hallo,
>
> I'm planing to revert the version of blender in the F-15 repository
> from 2.56 to 2.49.
>
> The reseaon is, that there are several packages depending on blender
> which are not
> compatible to blender-2.56 or beyond.
>
> I plan to create a feature to F-16 to coordinate the migration of the
> packages,
> which are depending on blender to the blender-2.56 branch.
>
> So I want to ask, what I have to consinder when I revert to 2.49 on
> the F-15 branch.

There are nearly the same things to do as with a version upgrade. Except
that you will need to bump the Epoch to downgrade from 2.56 to 2.49. Check
all dependencies carefully. They might need a rebuild or even a downgrade,
too.

Alternatively, albeit a little bit of a hack, it would be possible to package
two releases of blender in a single src.rpm and keep the 2.49 version in
a subpackage with a different name. This would need dependencies to be
adjusted, of course.
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 04-06-2011, 10:21 PM
Nicolas Chauvet
 
Default Best Practice to revert a version on F-15

2011/4/6 Jochen Schmitt <Jochen@herr-schmitt.de>:
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Hallo,
>
> I'm planing to revert the version of blender in the F-15 repository
> from 2.56 to 2.49.
>
> The reseaon is, that there are several packages depending on blender
> which are not
> compatible to blender-2.56 or beyond.
Can you list them ?

Because I was planning to port LuxRender to the new blender25x...


Nicolas (kwizart)
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 

Thread Tools




All times are GMT. The time now is 10:31 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org